# The simplest application example: 20 lines of code and yet all the power !

# A Viewer class is derived from QGLViewer and its <code>draw()</code> function is overloaded to
# specify the user defined OpenGL orders that describe the scene.

# This is the first example you should try, as it explains some of the default keyboard shortcuts
# and the mouse behavior of the viewer.

# This example can be cut and pasted to start the development of a new application.

TEMPLATE = app
TARGET   = qMini
CONFIG += qt \
    opengl \
    xml \
    warn_on \
    console \
    thread
QT *= xml \
    opengl

HEADERS		= Vec3D.h \
                  Vertex.h \
                  Triangle.h \
                  Mesh.h \	
                  GLViewer.h 
                  
                  
SOURCES		= Vertex.cpp \
                  Triangle.cpp \
                  Mesh.cpp \	
                  GLViewer.cpp \
                  Main.cpp 


DESTDIR		= .
unix:LIBS += -lgsl \
    -lgslcblas \
    -lgomp
win32 {
    INCLUDEPATH += 'C:\Program \
        Files \
        (x86)\GnuWin32\include'
    INCLUDEPATH += 'C:\Users\boubek\projects\cg\extern\libQGLViewer-2.3.4'
    LIBS += -L"c:\Users\boubek\projects\cg\extern\libQGLViewer-2.3.4\QGLViewer\release" \
        -lQGLViewer2 \
        -L"c:\Program Files (x86)\GnuWin32\lib" \
        -lgsl \
        -lgslcblas \
}
unix {
    EXT_DIR = ../../../extern
    INCLUDEPATH += $${EXT_DIR}/libQGLViewer-2.3.4
    LIBS += \
        -lglut \
        -lGLU \
        -L$${EXT_DIR}/libQGLViewer-2.3.4/QGLViewer \
        -lQGLViewer
release:QMAKE_CXXFLAGS_RELEASE += -fopenmp
release:QMAKE_CFLAGS_RELEASE += -fopenmp
}

win32 {
#release:QMAKE_CXXFLAGS_RELEASE += -fpermissive
#release:QMAKE_CFLAGS_RELEASE += -fpermissive
}

# release:QMAKE_CFLAGS_RELEASE -= -g
# release:QMAKE_CXXFLAGS_RELEASE -= -g
release:QMAKE_CXXFLAGS_RELEASE += -g #
release:QMAKE_CFLAGS_RELEASE += -g  # 
MOC_DIR = .tmp
OBJECTS_DIR = .tmp
